﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                User Credit Cards
            </h1>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                @*<i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>*@
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div>
            <div class="one-half place-left" style="padding-right: 10px;">

                <div class="input-control choosen" data-role="input-control">
                    <p>Partner </p>
                    <select chosen
                            ng-model="Model.PartnerId"
                            data-placeholder="Select"
                            ng-options="obj.Value as obj.Text for obj in AllPartners"></select>

                </div>
            </div>
            <div class="one-half place-left">
                <div class="input-control choosen" data-role="input-control">
                    <p>School </p>
                    <select chosen
                            ng-model="Model.SchoolId"
                            data-placeholder="Select"
                            ng-options="obj.Value as obj.Text for obj in AllSchools"></select>

                </div>
            </div>
            <div class="clearfix"></div>
        </div>
        <div>
            <div class="one-half place-left" style="padding-right: 10px;">
                <div class="input-control text">
                    <p>User</p>
                    <input style="box-sizing: border-box;" id="firstName" type="search" ng-model="Model.UserName" placeholder="User" class="ng-pristine ng-valid ng-touched">

                </div>
            </div>

            <div class="half-size place-left">

                <div data-format="mm/dd/yyyy" data-effect="fade" style="padding-right: 2px;">
                    <label>Order date</label>
                    <input kendo-date-picker ng-model="Model.OrderDate" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>

        </div>
        <div>
            <div class="one-half place-left">
                <div data-format="mm/dd/yyyy" data-effect="fade" style="padding-right: 2px;">
                    <label>Installment start due date</label>
                    <input kendo-date-picker ng-model="Model.InstallmentDate" type="text" placeholder="mm/dd/yyyy" />
                </div>

            </div>
      
            <div class="one-half place-left">
                <div data-format="mm/dd/yyyy" data-effect="fade" style="padding-right: 2px;">
                    <label>Installment end due date</label>
                    <input kendo-date-picker ng-model="Model.InstallmentEndDate" type="text" placeholder="mm/dd/yyyy" />
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div>
    
            <div class="one-half place-left">
                <div class="input-control choosen" data-role="input-control">
                    <p>Gateway </p>
                    <select chosen ng-model="Model.Gateway" data-placeholder="Select">
                        <option value="null">All</option>
                        <option value="0">Stripe</option>
                        <option value="1">Autorize.net</option>
                    </select>

                </div>
            </div>
        </div>

        <div class="clearfix"></div>
        <hr />
        <div>
            <div class="one-half place-left" style="padding-right: 10px;">
       
                <div class="input-control choosen" data-role="input-control">
                    <p>Credit card status</p>
                    <select chosen ng-model="Model.Mode" data-placeholder="Select">
                        <option value="NotPreferred" selected="selected">User has no cards or user has cards but none is preferred</option>
                        <option value="NoCard">User has no cards</option>
                        <option value="HasCardNotPreferred">User has cards but none is preferred</option>
                        <option value="Preferred">User has a preferred card</option>
                        <option value="null">All users</option>
                    </select>

                </div>
            </div>
        </div>
    </div>

    <div class="clearfix"></div>
    <input class="default button place-right" type="button" value="Filter data" ng-click="filterData()">
    <div class="clearfix"></div>
    <br />
    <input class="default button place-right" type="button" value="Clear filter" ng-click="clearFilters()">
    <div class="clearfix"></div>
    <hr />


    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="mainGrid" options="mainGridOptions" class="scroll resizable"></kendo-grid>
                <script type="text/x-kendo-template" id="template">
                    <div class="tabstrip">
                        <div>
                            <div class="orders"></div>
                        </div>
                    </div>
                </script>
            </div>
        </div>
    </div>
    @*<div class="clearfix"></div>
        <hr />
        <h4 class="place-left margin-bottom20"><strong>The total Transaction</strong></h4>
        <div class="clearfix"></div>
        <div style="position:relative; height: 250px">
            <div kendo-chart k-options="pieChartOption" style="height:100%;width:100%;position:absolute;"></div>
        </div>*@
    <div class="clearfix"></div>
</div>